<?php
namespace WpBookingEventFrontend\app\helpers;

use WpBookingEvent\Factory;
use WpBookingEvent\Mvc\Model\Model as ModelAlias;

class ConfigHelper extends FrontendHelper
{
    public static function get_page_service_detail(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_service_detail',0);

    }

    public static function get_page_list_service(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_service',0);

    }
    public static function get_page_list_event(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_event',0);

    }
    public static function get_page_list_category(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_category',0);

    }
    public static function get_page_event_detail(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_event_detail',0);

    }
    public static function get_go_to_page_event_detail(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('onclick_event_detail','');
    }
    public static function get_style_booking(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('select_form_booking_style','');
    }
    public static function get_style_block_top_event(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('select_style_top_event','');
    }


}